$schema: "http://json-schema.org/draft-06/schema#"

title: compute alpha HaController export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  backendServices:
    description: |-
      Advanced configuration option. If specified, these Backend Services need
      to be pre-created and configured as managed.
    type: array
    items:
      type: string
  description:
    description: |-
      An optional description of this resource. Provide this property when
      you create the resource.
    type: string
  failoverInitiation:
    description: Indicates how failover should be initiated.
    type: string
    enum:
    - FAILOVER_INITIATION_UNSPECIFIED
    - MANUAL_ONLY
  instanceName:
    description: |-
      Name of the instance that HaController is in charge of. If not
      specified the HaController's resource name will be used instead. The
      name must be 1-63 characters long, and comply withRFC1035.
      Specifically, the name must be 1-63 characters long and match the
      regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first
      character must be a lowercase letter, and all following characters
      must be a dash, lowercase letter, or digit, except the last character,
      which cannot be a dash.
    type: string
  networkingAutoConfiguration:
    description: |-
      Basic networking configuration. Required backend services and
      forwarding rules will be automatically created with default
      parameters.
    $ref: HaControllerNetworkingAutoConfiguration.yaml
  secondaryZoneCapacity:
    description: Indicates the capacity guarantees in the secondary zone.
    type: string
    enum:
    - BEST_EFFORT
    - SECONDARY_ZONE_CAPACITY_UNSPECIFIED
  zoneConfigurations:
    description: 'Map of zone configurations Key: name of the zone'
    $ref: ZoneConfigurationsValue.yaml
